import { Operator } from "..";
import { CommonFunction } from '../utils/Util';
export declare class HookMethod {
    private readonly _method;
    private readonly _file;
    private readonly _options;
    private _instance;
    constructor(method: CommonFunction, file: string, options?: {
        tags: Array<string>;
        operator?: Operator;
    });
    getMethod(): CommonFunction;
    getFilePath(): string;
    setInstance(instance: Record<string, unknown>): void;
    getTags(): Array<string>;
    getTagAggregationOperator(): Operator;
    getInstance(): Record<string, unknown> | undefined;
}
