import { ProtoTable } from "../gen/spec_pb";
import { TableRow } from "./TableRow";
export declare class Table {
    private readonly _headers;
    private readonly _tableRows;
    private readonly _rows;
    static from(table: ProtoTable): Table;
    constructor(headers: string[]);
    addRow(row: Array<string>): void;
    getColumnNames(): Array<string>;
    getColumnName(index: number): string;
    getTableRows(): TableRow[];
    getColumnValues(columnName: string): Array<string>;
    getColumnValuesForIndex(index: number): string[];
}
