import { Operator } from "./Operator";
/**
 *
 * @param stepTexts form accept only string parameters.
 * As far as you want to use e.g. number you will need to convert it first
 *
 * @constructor
 */
export declare function Step(stepTexts: string | Array<string>): MethodDecorator;
export declare function ContinueOnFailure(exceptions?: Array<string>): MethodDecorator;
export declare function BeforeSuite(): MethodDecorator;
export declare function AfterSuite(): MethodDecorator;
export declare function BeforeSpec(options?: {
    tags: Array<string>;
    operator?: Operator;
}): MethodDecorator;
export declare function AfterSpec(options?: {
    tags: Array<string>;
    operator?: Operator;
}): MethodDecorator;
export declare function BeforeScenario(options?: {
    tags: Array<string>;
    operator?: Operator;
}): MethodDecorator;
export declare function AfterScenario(options?: {
    tags: Array<string>;
    operator?: Operator;
}): MethodDecorator;
export declare function BeforeStep(options?: {
    tags: Array<string>;
    operator?: Operator;
}): MethodDecorator;
export declare function AfterStep(options?: {
    tags: Array<string>;
    operator?: Operator;
}): MethodDecorator;
/**
 * @deprecated Use CustomScreenshotWriter instead.
 */
export declare function CustomScreenGrabber(): MethodDecorator;
export declare function CustomScreenshotWriter(): MethodDecorator;
