/// <reference types="node" />
/// <reference types="node" />
export type CommonFunction<T = unknown> = (...args: unknown[]) => T;
export type CommonAsyncFunction<T = unknown> = (...args: unknown[]) => Promise<T>;
export declare class Util {
    static importFile(file: string): Promise<unknown>;
    static spawn(command: string, args: string[]): import("child_process").SpawnSyncReturns<Buffer>;
    static writeFile(filePath: string, content: string): void;
    static exists(filePath: string): boolean;
    static readFile(file: string): string;
    static readFileBuffer(file: string): ArrayBuffer;
    static getListOfFiles(): Array<string>;
    static isTSFile(file: string): boolean;
    static collectFilesIn(dir: string): string[];
    static getImplDirs(): Array<string>;
    static getNewTSFileName(dir: string, counter?: number): string;
    static isAsync(m: CommonFunction): boolean;
    static getUniqueScreenshotFileName(): string;
}
