import { HookMethod } from "./HookMethod";
import { HookType } from "./HookType";
export declare class HookRegistry {
    private _hooks;
    constructor();
    addHook(type: HookType, method: HookMethod): void;
    get(type: HookType, tags: Array<string>): Array<HookMethod>;
    setInstanceForMethodsIn(file: string, instance: Record<string, unknown>): void;
    clear(): void;
    private static hasIntersection;
}
declare const hookRegistry: HookRegistry;
export default hookRegistry;
