"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableRow = void 0;
class TableRow {
    constructor() {
        this._cells = new Map();
    }
    addCell(header, value) {
        this._cells.set(header, value);
    }
    getCell(columnName) {
        return this._cells.has(columnName)
            ? this._cells.get(columnName)
            : '';
    }
    getCellValues() {
        return Array.from(this._cells.values());
    }
    get size() {
        return this._cells.size;
    }
}
exports.TableRow = TableRow;
