export declare class DataStore {
    private readonly store;
    put<K, V>(key: K, value: V): void;
    get<K, V>(key: K): V;
    remove<K>(key: K): boolean;
    clear(): void;
    get length(): number;
    entries(): IterableIterator<[unknown, unknown]>;
}
